## bibletime 2.11.0

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)

IF("${CMAKE_CURRENT_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  MESSAGE(FATAL_ERROR "You probably didn't mean to run CMake from this directory. Now you have all messed up! You'd better delete CMakeFiles/ and CMakeCache.txt or things will break!")
ENDIF()

# If BIBLETIME_BUILDCONFIG set, load the file and fail on error. Otherwise, try
# to include either "config.cmake" under either the build directory or the
# source directory, whichever file first exists, if at all.
IF(DEFINED BIBLETIME_BUILDCONFIG)
  IF(BIBLETIME_BUILDCONFIG_IS_RELATIVE)
      SET(BIBLETIME_BUILDCONFIG
          "${CMAKE_CURRENT_BINARY_DIR}/${BIBLETIME_BUILDCONFIG}")
  ENDIF()
  INCLUDE("${BIBLETIME_BUILDCONFIG}" OPTIONAL RESULT_VARIABLE r)
  IF(r)
    MESSAGE(STATUS "Included \"${BIBLETIME_BUILDCONFIG}\"")
    UNSET(r)
  ELSE()
    MESSAGE(FATAL_ERROR
     "Failed to include build configuration from \"${BIBLETIME_BUILDCONFIG}\"!")
  ENDIF()
ELSE()
  INCLUDE("${CMAKE_CURRENT_BINARY_DIR}/config.cmake" OPTIONAL RESULT_VARIABLE r)
  IF(r)
    MESSAGE(STATUS "Included \"${r}\"")
  ELSE()
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/config.cmake"
            OPTIONAL RESULT_VARIABLE r)
    IF(r)
      MESSAGE(STATUS "Included \"${r}\"")
    ENDIF()
  ENDIF()
  UNSET(r)
ENDIF()

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")


################################################################################
# BibleTime version
################################################################################
# NOTICE! The version number must only be changed during the release procedures
#  A N D   N O T  during development or bug-fixing. This guarantees that all
# versions of BibleTime between OLDVERSION and NEXTVERSION have version strings
# in the form of OLDVERSION+githash where githash is the git commit hash ID.
#
# Note: for pre-#.#.0 versions, use the following suffixes:
#   _dev      if pre-beta1
#   _beta1    if post-beta1
#   _beta2    if post-beta2
#   _rc1    if post-rc1
#   _rc2    if post-rc2
# For post-full-release versions, no suffix is used.

SET(BT_VERSION_MAJOR "2")
SET(BT_VERSION_MINOR "11")
SET(BT_VERSION_PATCH "0")
SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures

# Determine build, if needed:
IF(NOT (DEFINED BT_VERSION_BUILD))
  FIND_PACKAGE(Git)
  IF(NOT GIT_FOUND)
    FIND_PROGRAM(GIT_EXECUTABLE NAMES git)
    IF(GIT_EXECUTABLE)
      SET(GIT_FOUND TRUE)
    ENDIF()
  ENDIF()
  IF(GIT_FOUND)
    FUNCTION(BtGitRevision out)
      EXECUTE_PROCESS(COMMAND ${GIT_EXECUTABLE} rev-parse HEAD
                      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                      ERROR_QUIET
                      RESULT_VARIABLE resVar
                      OUTPUT_VARIABLE outVar
                      OUTPUT_STRIP_TRAILING_WHITESPACE)
      IF(${resVar} EQUAL 0)
        STRING(TOLOWER "${outVar}" hashCandidate)
        STRING(REGEX MATCH "^[0123456789abcdef]+$" hasHash "${hashCandidate}")
        IF(hasHash)
          STRING(LENGTH "${hashCandidate}" hashLength)
          IF(hashLength EQUAL 40)
            SET(${out} "${hashCandidate}" PARENT_SCOPE)
          ENDIF()
        ENDIF()
      ENDIF()
    ENDFUNCTION()
    BtGitRevision(BibleTimeGitRevision)
    IF(DEFINED BibleTimeGitRevision)
      SET(BT_VERSION_BUILD "+${BibleTimeGitRevision}")
    ENDIF()
  ENDIF()
ENDIF()

SET(BT_VERSION_FULL "${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}.${BT_VERSION_PATCH}${BT_VERSION_BUILD}")
MESSAGE(STATUS "Setting up build environment for BibleTime version ${BT_VERSION_FULL}")

#Non-English locales to be processed and installed for handbook and howto
#WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
#also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
LIST(APPEND HANDBOOK_LOCALE_LANGS ar cs de es fi fr hu it lt nl pt_BR)
LIST(APPEND HOWTO_LOCALE_LANGS ar bg cs da de es fi fr it hu ko lt nl pt_BR ru)

# Automatically link Qt executables to qtmain target on Windows
IF(MSVC)
  cmake_policy(SET CMP0020 NEW)
ENDIF()

# SET INSTALLATION PATHS
IF(APPLE)
  SET(BT_DESTINATION "../MacOS")
  SET(BT_SHARE_PATH "../share")
ELSE()
  SET(BT_DESTINATION "bin")
  SET(BT_SHARE_PATH "share")
ENDIF()

FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5LinguistTools REQUIRED)
FIND_PACKAGE(Qt5Gui REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)

FIND_PACKAGE(CLucene REQUIRED)
FIND_PACKAGE(Sword 1.7.0 REQUIRED)

ADD_COMPILE_OPTIONS(
  "-O2"
  "-DBT_VERSION=\"${BT_VERSION_FULL}\""
  "$<$<STREQUAL:$<CONFIGURATION>,Release>:-DNDEBUG>"
  "$<$<STREQUAL:$<CONFIGURATION>,Release>:-DQT_NO_DEBUG>"
  ${Sword_CFLAGS_OTHER}
)
IF("${CMAKE_BUILD_TYPE}" STREQUAL "Release")
    SET(BIBLETIME_MOC_OPTIONS "-DNDEBUG")
ENDIF()
IF(WIN32)
    ADD_COMPILE_OPTIONS(
    "/Zi"
    )
ELSE()
    ADD_COMPILE_OPTIONS(
        "-std=c++11" "-ggdb" "-Wall" "-Wextra"
        "$<$<NOT:$<STREQUAL:$<CONFIGURATION>,Release>>:-fno-omit-frame-pointer>"
    )
ENDIF()

IF("${BIBLETIME_FRONTEND}" STREQUAL "MOBILE")
    ADD_DEFINITIONS("-DBT_MOBILE")
ENDIF()

IF(Qt5Core_VERSION VERSION_LESS 5.6.0)
    SET(USEWEBENGINE OFF)
ELSE()
    SET(USEWEBENGINE ON)
ENDIF()

IF(USEWEBENGINE)
    ADD_DEFINITIONS("-DUSEWEBENGINE")
ENDIF()

# Define $bibletime_SOURCES
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTSourceFileList.cmake")

#
# The actual build options
#
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
    ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
    ${CLucene_INCLUDE_DIR}            #CLucene headers
    ${CLucene_LIBRARY_DIR}            #CLucene/clucene-config.h
    ${Sword_INCLUDE_DIRS}
)
# Macros used by BTUITranslationLink.cmake amd BTUITranslation.cmake
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTTranslationMacros.cmake")

# Define rules to generate translation files and link them to
# the executable using a qrc file.
IF (${bibletime_LINK_TRANSLATION_FILES})
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTUITranslationLink.cmake")
ENDIF()

#This must come before the target definition!
LINK_DIRECTORIES(${CLucene_LIBRARY_DIR})

ADD_LIBRARY(
    bibletime_common
    STATIC
    ${bibletime_COMMON_SOURCES}
    ${bibletime_COMMON_MOCABLE_SOURCES}
)
QT5_USE_MODULES(bibletime_common Widgets Xml)

IF(MSVC)
  ADD_EXECUTABLE("bibletime" WIN32 ${common_bibletime_SOURCES})
ELSE()
  ADD_EXECUTABLE("bibletime" ${common_bibletime_SOURCES})
ENDIF()

IF(${BIBLETIME_FRONTEND} STREQUAL "MOBILE")
  SET_TARGET_PROPERTIES("bibletime" PROPERTIES OUTPUT_NAME "btm")
ELSEIF(APPLE)
  SET_TARGET_PROPERTIES("bibletime" PROPERTIES OUTPUT_NAME "BibleTime")
ELSE()
  SET_TARGET_PROPERTIES("bibletime" PROPERTIES OUTPUT_NAME "bibletime")
ENDIF()

# Define rules to generate and install translation files
IF (NOT ${bibletime_LINK_TRANSLATION_FILES})
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTUITranslation.cmake")
ENDIF()

TARGET_LINK_LIBRARIES("bibletime"
    bibletime_common
    ${CLucene_LIBRARY}
    ${Sword_LDFLAGS}
)

IF(${BIBLETIME_FRONTEND} STREQUAL "MOBILE")
  qt5_use_modules("bibletime" Widgets WebKitWidgets Qml Quick Xml Network PrintSupport Svg)
ELSEIF(USEWEBENGINE)
  qt5_use_modules("bibletime" Widgets WebEngine WebEngineWidgets WebChannel Xml Network PrintSupport Svg)
ELSE()
  qt5_use_modules("bibletime" Widgets WebKit WebKitWidgets Xml Network PrintSupport Svg)
ENDIF()

SET(BibleTime_LDFLAGS "")
IF(MSVC)
  SET(CMAKE_CXX_FLAGS_RELEASE "-DSWUSINGDLL /MD  /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE /Zc:wchar_t")
  SET(CMAKE_CXX_FLAGS_DEBUG   "-DSWUSINGDLL /MDd /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE /Zc:wchar_t /Od")
  SET(BibleTime_LDFLAGS "${BibleTime_LDFLAGS} /SUBSYSTEM:WINDOWS")
ELSE()
  ADD_COMPILE_OPTIONS("-fPIE" "-fexceptions")
  SET(CMAKE_CXX_FLAGS_RELEASE "")
  SET(CMAKE_CXX_FLAGS_DEBUG "")
  IF(APPLE)
    # enable support MacOS 10.5+
    SET(T "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/")
    SET(BibleTime_CXXFLAGS "${BibleTime_CXXFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T}")
    SET(BibleTime_LDFLAGS "${BibleTime_LDFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T} -F /Library/Frameworks/")
    UNSET(T)
  ENDIF()
ENDIF()

SET_TARGET_PROPERTIES("bibletime" PROPERTIES
                      COMPILE_FLAGS "${Sword_CFLAGS_OTHER} ${BibleTime_CXXFLAGS}"
                      LINK_FLAGS "${BibleTime_LDFLAGS}")

SET_TARGET_PROPERTIES("bibletime_common" PROPERTIES
                      COMPILE_FLAGS "${Sword_CFLAGS_OTHER} ${BibleTime_CXXFLAGS}"
                      LINK_FLAGS "${BibleTime_LDFLAGS}")

IF(Qt5Core_VERSION VERSION_LESS 5.3.0)
    MESSAGE(WARNING "Qt tests not build because they require Qt 5.3 or greater.")
ELSE()
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTTests.cmake")
ENDIF()

# Install files
#
INSTALL(TARGETS "bibletime" DESTINATION "${BT_DESTINATION}")
FILE(GLOB INSTALL_ICONS_LIST "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/*.svg")
INSTALL(FILES ${INSTALL_ICONS_LIST}
        DESTINATION "${BT_SHARE_PATH}/bibletime/icons/")
FILE(GLOB INSTALL_ICONS_LIST_PNG "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.png")
INSTALL(FILES ${INSTALL_ICONS_LIST_PNG}
        DESTINATION "${BT_SHARE_PATH}/bibletime/icons/")

FILE(GLOB INSTALL_TMPL_LIST
        ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.css
        ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/Basic.tmpl
        ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/basic_template.txt)
INSTALL(FILES ${INSTALL_TMPL_LIST}
         DESTINATION "${BT_SHARE_PATH}/bibletime/display-templates/")


IF(USEWEBENGINE)
    INSTALL(FILES "src/frontend/display/btwebengine.js"
     DESTINATION "${BT_SHARE_PATH}/bibletime/javascript/")
ELSE()
    INSTALL(FILES "src/frontend/display/bthtml.js"
        DESTINATION "${BT_SHARE_PATH}/bibletime/javascript/")
ENDIF()

INSTALL(FILES "docs/license.html"
        DESTINATION "${BT_SHARE_PATH}/bibletime/license/")
INSTALL(FILES ${bibletime_QML_FILES} DESTINATION "${BT_SHARE_PATH}/qml/")
INSTALL(FILES "pics/startuplogo.png" "pics/startuplogo_christmas.png"
              "pics/startuplogo_easter.jpg"
        DESTINATION "${BT_SHARE_PATH}/bibletime/pics/")

#
# Platform specific installation
#

# Linux: application icon and desktop file:
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
        DESTINATION "${BT_SHARE_PATH}/icons/")
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop" @ONLY)
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
        DESTINATION "${BT_SHARE_PATH}/applications/")


IF(MSVC)
  # sword locale information
  FILE(GLOB INSTALL_SWORD_LOCALE_LIST "${Sword_INCLUDE_DIRS}/../../locales.d/*")
  INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
          DESTINATION "${BT_SHARE_PATH}/sword/locales.d/")

  # install pdb file for debugging purposes
  IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
    SET(bibletime_PDB "${bibletime_BINARY_DIR}/Debug/bibletime.pdb")
    INSTALL(FILES "${bibletime_PDB}" DESTINATION "${BT_DESTINATION}")
  ENDIF()
ENDIF()

IF(APPLE)
  # sword locale information, needed for DMG image
  FILE(GLOB INSTALL_SWORD_LOCALE_LIST "${Sword_INCLUDE_DIRS}/../../share/sword/locales.d/*")
  INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
          DESTINATION "${BT_SHARE_PATH}/sword/locales.d/")
ENDIF()

INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")

IF(WIN32 AND NOT UNIX)
  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageWindows.cmake")
ENDIF()
IF(APPLE)
  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageMacOS.cmake")
ENDIF()

######################################################
# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"

=== debian/changelog ===
bibletime (2.11.0-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add qttools5-dev to build-depends to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 May 2017 17:05:34 -0700

bibletime (2.11.0-0york0~16.04) xenial; urgency=medium

  * New upstream release
  * Drop patches:
    - desktopkeywords.patch
    - mime_exec.patch
    - desktop_translation.patch

 -- Jonathon Fernyhough <jonathon.fernyhough@york.ac.uk>  Thu, 22 Dec 2016 13:00:03 +0000

bibletime (2.11.0~rc2-0~16.04.york0) xenial; urgency=medium

  * New upstream RC
  * debian/control: adjust for Qt5 dependencies
  * tests fail on headless buildhosts; disable

 -- Jonathon Fernyhough <jonathon.fernyhough@york.ac.uk>  Fri, 04 Nov 2016 09:15:00 +0000

=== debian/control ===
Source: bibletime
Section: kde
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9),
 libsword-dev (>= 1.7.3+dfsg-2), libclucene-dev, poxml, libboost-dev, cmake,
 pkg-config, zlib1g-dev, libcurl4-gnutls-dev, qtbase5-dev, qttools5-dev-tools,
 libqt5webkit5-dev, libqt5svg5-dev, qttools5-dev
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>, 
 Dmitrijs Ledkovs <xnox@debian.org>, 
 Jonathan Marsden <jmarsden@fastmail.fm>,
 Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.9.6
Homepage: http://www.bibletime.info/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
Vcs-Git: git://anonscm.debian.org/pkg-crosswire/bibletime.git

Package: bibletime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 bibletime-data (=${source:Version})
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.

## bibletime 2.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,8 +56,8 @@
 
 SET(BT_VERSION_MAJOR "2")
 SET(BT_VERSION_MINOR "11")
-SET(BT_VERSION_PATCH "0")
-SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
+SET(BT_VERSION_PATCH "1")
+#SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
 IF(NOT (DEFINED BT_VERSION_BUILD))
@@ -150,9 +150,12 @@
     ADD_DEFINITIONS("-DBT_MOBILE")
 ENDIF()
 
-IF(Qt5Core_VERSION VERSION_LESS 5.6.0)
+FIND_PACKAGE(Qt5WebEngine QUIET)
+IF(NOT Qt5WebEngine_FOUND)
+    MESSAGE(STATUS "Using Qt WebKit")
     SET(USEWEBENGINE OFF)
 ELSE()
+    MESSAGE(STATUS "Using Qt WebEngine")
     SET(USEWEBENGINE ON)
 ENDIF()
 
@@ -334,6 +337,3 @@
 ENDIF()
 
 ######################################################
-# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
-#
-CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"

=== debian/changelog ===
bibletime (2.11.1-1) unstable; urgency=low

  * new upstream version (Closes: #880566)

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 03 Nov 2017 12:00:00 +0200

bibletime (2.11.0-1) unstable; urgency=low

  [ Teus Benschop ]
  * new upstream version (Closes: #816804, #874831)
  * debian/copyright: 
      make it machine-readable
      include relevant license headers
  * debian/control: updated Build-Depends, Uploaders
  * debian/control: updated Standards-Version
  * debian/patches/series: remove already applied patches
  * debian/rules: override_dh_auto_test
  * debian/bibletime.1: add man page

  [ Roberto C. Sanchez ]
  * debian/control: update my email address

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 05 Oct 2017 12:00:00 +0200

bibletime (2.10.1-4) unstable; urgency=medium

  * d/control: bump Standards-Version to 3.9.8
  * d/control: change Vcs-Browser and Cvs-Git to https
  * d/rules: add hardening options

 -- Dominique Corbex <dominique@corbex.org>  Sat, 27 May 2017 16:57:01 +0200

bibletime (2.10.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove myself from uploaders.

 -- Dimitri John Ledkov <xnox@debian.org>  Sun, 09 Jul 2017 17:21:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: bibletime
 Section: kde
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9),
- libsword-dev (>= 1.7.3+dfsg-2), libclucene-dev, poxml, libboost-dev, cmake,
- pkg-config, zlib1g-dev, libcurl4-gnutls-dev, qtbase5-dev, qttools5-dev-tools,
- libqt5webkit5-dev, libqt5svg5-dev, qttools5-dev
+ libsword-dev (>= 1.7.3+dfsg-3), libclucene-dev, cmake,
+ pkg-config, libcurl4-gnutls-dev, git,
+ qtbase5-dev, qttools5-dev, qtwebengine5-dev, libqt5svg5-dev
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, 
- Dmitrijs Ledkovs <xnox@debian.org>, 
  Jonathan Marsden <jmarsden@fastmail.fm>,
- Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.9.6
+ Roberto C. Sanchez <roberto@debian.org>,
+ Dominique Corbex <dominique@corbex.org>,
+ Teus Benschop <teusjannette@gmail.com>
+Standards-Version: 4.1.1
 Homepage: http://www.bibletime.info/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
-Vcs-Git: git://anonscm.debian.org/pkg-crosswire/bibletime.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-crosswire/bibletime.git
 
 Package: bibletime
 Architecture: any
@@ -41,3 +40,4 @@
  .
  This package contains the help, online documentation and data files
  which BibleTime uses.
+

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake --parallel

override_dh_auto_test:
	echo "Skip dh_auto_test because the tests rely on a display which is not there"

=== debian/watch ===
version=3

http://sf.net/bibletime/bibletime-([\d\.]+).tar.xz?

## bibletime 2.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PROJECT(bibletime CXX C)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
+CMAKE_POLICY(SET CMP0028 NEW)
 
 IF("${CMAKE_CURRENT_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
   MESSAGE(FATAL_ERROR "You probably didn't mean to run CMake from this directory. Now you have all messed up! You'd better delete CMakeFiles/ and CMakeCache.txt or things will break!")
@@ -56,8 +57,8 @@
 
 SET(BT_VERSION_MAJOR "2")
 SET(BT_VERSION_MINOR "11")
-SET(BT_VERSION_PATCH "1")
-#SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
+SET(BT_VERSION_PATCH "2")
+SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
 IF(NOT (DEFINED BT_VERSION_BUILD))
@@ -117,10 +118,15 @@
   SET(BT_SHARE_PATH "share")
 ENDIF()
 
-FIND_PACKAGE(Qt5Core REQUIRED)
-FIND_PACKAGE(Qt5LinguistTools REQUIRED)
-FIND_PACKAGE(Qt5Gui REQUIRED)
-FIND_PACKAGE(Qt5Widgets REQUIRED)
+SET(REQUIRED_QT_VERSION 5.9)
+FIND_PACKAGE(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5Svg ${REQUIRED_QT_VERSION} REQUIRED)
+FIND_PACKAGE(Qt5PrintSupport ${REQUIRED_QT_VERSION} REQUIRED)
 
 FIND_PACKAGE(CLucene REQUIRED)
 FIND_PACKAGE(Sword 1.7.0 REQUIRED)
@@ -153,9 +159,12 @@
 FIND_PACKAGE(Qt5WebEngine QUIET)
 IF(NOT Qt5WebEngine_FOUND)
     MESSAGE(STATUS "Using Qt WebKit")
+    FIND_PACKAGE(Qt5WebKit REQUIRED)
+    FIND_PACKAGE(Qt5WebKitWidgets REQUIRED)
     SET(USEWEBENGINE OFF)
 ELSE()
     MESSAGE(STATUS "Using Qt WebEngine")
+    FIND_PACKAGE(Qt5WebEngineWidgets REQUIRED)
     SET(USEWEBENGINE ON)
 ENDIF()
 
@@ -194,7 +203,7 @@
     ${bibletime_COMMON_SOURCES}
     ${bibletime_COMMON_MOCABLE_SOURCES}
 )
-QT5_USE_MODULES(bibletime_common Widgets Xml)
+TARGET_LINK_LIBRARIES(bibletime_common Qt5::Widgets Qt5::Xml)
 
 IF(MSVC)
   ADD_EXECUTABLE("bibletime" WIN32 ${common_bibletime_SOURCES})
@@ -222,11 +231,11 @@
 )
 
 IF(${BIBLETIME_FRONTEND} STREQUAL "MOBILE")
-  qt5_use_modules("bibletime" Widgets WebKitWidgets Qml Quick Xml Network PrintSupport Svg)
+  TARGET_LINK_LIBRARIES("bibletime" Qt5::Widgets Qt5::WebKitWidgets Qt5::Qml Qt5::Quick Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg)
 ELSEIF(USEWEBENGINE)
-  qt5_use_modules("bibletime" Widgets WebEngine WebEngineWidgets WebChannel Xml Network PrintSupport Svg)
-ELSE()
-  qt5_use_modules("bibletime" Widgets WebKit WebKitWidgets Xml Network PrintSupport Svg)
+  TARGET_LINK_LIBRARIES("bibletime" Qt5::Widgets Qt5::WebEngine Qt5::WebEngineWidgets Qt5::WebChannel Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg)
+ELSE()
+  TARGET_LINK_LIBRARIES("bibletime" Qt5::Widgets Qt5::WebKit Qt5::WebKitWidgets Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg)
 ENDIF()
 
 SET(BibleTime_LDFLAGS "")
@@ -240,7 +249,7 @@
   SET(CMAKE_CXX_FLAGS_DEBUG "")
   IF(APPLE)
     # enable support MacOS 10.5+
-    SET(T "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/")
+    SET(T "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/")
     SET(BibleTime_CXXFLAGS "${BibleTime_CXXFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T}")
     SET(BibleTime_LDFLAGS "${BibleTime_LDFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T} -F /Library/Frameworks/")
     UNSET(T)
@@ -300,7 +309,7 @@
 
 # Linux: application icon and desktop file:
 INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
-        DESTINATION "${BT_SHARE_PATH}/icons/")
+        DESTINATION "${BT_SHARE_PATH}/icons/hicolor/scalable/apps")
 CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop" @ONLY)
 INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
@@ -321,19 +330,3 @@
 ENDIF()
 
 IF(APPLE)
-  # sword locale information, needed for DMG image
-  FILE(GLOB INSTALL_SWORD_LOCALE_LIST "${Sword_INCLUDE_DIRS}/../../share/sword/locales.d/*")
-  INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
-          DESTINATION "${BT_SHARE_PATH}/sword/locales.d/")
-ENDIF()
-
-INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")
-
-IF(WIN32 AND NOT UNIX)
-  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageWindows.cmake")
-ENDIF()
-IF(APPLE)
-  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageMacOS.cmake")
-ENDIF()
-
-######################################################

=== debian/changelog ===
bibletime (2.11.2-11build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:43 +0100

bibletime (2.11.2-11) unstable; urgency=medium

  * ahem, correct build dep

 -- Daniel Glassey <wdg@debian.org>  Fri, 16 Nov 2018 10:41:30 +0700

bibletime (2.11.2-10) unstable; urgency=medium

  * build alternatives doesn't work to fix that
      arch specific build deps instead, thanks James

 -- Daniel Glassey <wdg@debian.org>  Fri, 16 Nov 2018 08:23:16 +0700

bibletime (2.11.2-9) unstable; urgency=medium

  * alternative build-dep on libqtwebkit5-dev, Closes: #913782
      it should build on archs where qtwebengine5 is not available
        BibleTime appears to prefer qtwebengine so using that
        when available rather than libqtwebkit5 everywhere
  * d/rules: remove unnecessary --parallel
  * d/control: fix Vcs fields (wrong way round)

 -- Daniel Glassey <wdg@debian.org>  Thu, 15 Nov 2018 22:59:33 +0700

bibletime (2.11.2-8) unstable; urgency=medium

  * d/control: dep libsword 1.8.1+dfsg-8
      as entered by Daniel

 -- Teus Benschop <teusjannette@gmail.com>  Mon, 12 Nov 2018 18:56:15 +0100

bibletime (2.11.2-7) experimental; urgency=high

  [ Teus Benschop ]
  * d/control: depends on libsword 1.8.1-6 or higher

  [ Daniel Glassey ]
  * d/README.source remove, not using cdbs any more
  * d/compat, control update to debhelper 11

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 09 Nov 2018 19:58:49 +0100

bibletime (2.11.2-6) unstable; urgency=high

  * update architectures to satisfy policy 5.6.8
  * bump required minimum libsword version

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 06 Nov 2018 10:56:21 +0100

bibletime (2.11.2-5) unstable; urgency=medium

  * dh_missing fail-missing

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 01 Nov 2018 09:37:54 +0100

bibletime (2.11.2-4) unstable; urgency=high

  * debian/copyright: update plaintext cc-by-sa text

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 28 Oct 2018 16:28:38 +0100

bibletime (2.11.2-3) unstable; urgency=high

  * debian/control: architecture: any

 -- Teus Benschop <teusjannette@gmail.com>  Wed, 10 Oct 2018 12:59:25 +0200

bibletime (2.11.2-2) unstable; urgency=high

  * debian/control: temporal limit on architectures

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 09 Oct 2018 12:10:50 +0200

bibletime (2.11.2-1) unstable; urgency=medium

  * New upstream version 2.11.2

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 02 Oct 2018 14:13:47 +0200

bibletime (2.11.1-4) unstable; urgency=medium

  * debian/contro: Revert to Architecture: any

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 21 Sep 2018 08:01:09 +0200

bibletime (2.11.1-3) unstable; urgency=medium

  * debian/control: fix maintainer email, Closes: #899759
  * debian/control: Updated Standards-Version
  * debian/control: Updated Vcs-* for salsa
  * debian/control: Limit architectures, Closes: #893489

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 16 Sep 2018 12:44:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ -Scmake

override_dh_auto_test:
	echo "Skip dh_auto_test because the tests rely on a display which is not there"

override_dh_missing:
	dh_missing --fail-missing

## bibletime 3.0

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 3.10)


######################################################
# Set CMake policies:
#
MESSAGE(STATUS "Using CMake ${CMAKE_VERSION}: ${CMAKE_COMMAND}")
IF(MSVC) # Automatically link Qt executables to qtmain target on Windows
    CMAKE_POLICY(SET CMP0020 NEW)
ENDIF()
CMAKE_POLICY(SET CMP0028 NEW)


######################################################
# Build-time user options:
#
SET(BUILD_BIBLETIME "ON" CACHE BOOL
    "Whether to build and install the BibleTime application")

SET(BUILD_HANDBOOK_HTML "ON" CACHE BOOL
    "Whether to build and install the handbook in HTML format")
SET(BUILD_HANDBOOK_HTML_LANGUAGES "" CACHE STRING
    "A semicolon-separated list of language codes for which to build and
install the handbook in HTML format if BUILD_HANDBOOK_HTML is enabled. \
Leave empty use all supported languages.")

SET(BUILD_HANDBOOK_PDF "ON" CACHE BOOL
    "Whether to build and install the handbook in PDF")
SET(BUILD_HANDBOOK_PDF_LANGUAGES "" CACHE STRING
    "A semicolon-separated list of language codes for which to build and \
install the handbook in PDF format if BUILD_HANDBOOK_PDF is enabled. \
Leave empty use all supported languages.")

SET(BUILD_HOWTO_HTML "ON" CACHE BOOL
    "Whether to build and install the howto in HTML format")
SET(BUILD_HOWTO_HTML_LANGUAGES "" CACHE STRING
    "A semicolon-separated list of language codes for which to build and \
install the howto in HTML format if BUILD_HOWTO_HTML is enabled. \
Leave empty use all supported languages.")

SET(BUILD_HOWTO_PDF "ON" CACHE BOOL
    "Whether to build and install the howto in PDF format")
SET(BUILD_HOWTO_PDF_LANGUAGES "" CACHE STRING
    "A semicolon-separated list of language codes for which to build and \
install the howto in PDF format if BUILD_HOWTO_PDF is enabled. \
Leave empty use all supported languages.")


######################################################
# Misc. settings:
#
SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)


######################################################
# Load user configuration files:
#
# If BIBLETIME_BUILDCONFIG set, load the file and fail on error. Otherwise, try
# to include either "config.cmake" under either the build directory or the
# source directory, whichever file first exists, if at all.
IF(DEFINED BIBLETIME_BUILDCONFIG)
  IF(BIBLETIME_BUILDCONFIG_IS_RELATIVE)
      SET(BIBLETIME_BUILDCONFIG
          "${CMAKE_CURRENT_BINARY_DIR}/${BIBLETIME_BUILDCONFIG}")
  ENDIF()
  INCLUDE("${BIBLETIME_BUILDCONFIG}" OPTIONAL RESULT_VARIABLE r)
  IF(r)
    MESSAGE(STATUS "Included \"${BIBLETIME_BUILDCONFIG}\"")
    UNSET(r)
  ELSE()
    MESSAGE(FATAL_ERROR
     "Failed to include build configuration from \"${BIBLETIME_BUILDCONFIG}\"!")
  ENDIF()
ELSE()
  INCLUDE("${CMAKE_CURRENT_BINARY_DIR}/config.cmake" OPTIONAL RESULT_VARIABLE r)
  IF(r)
    MESSAGE(STATUS "Included \"${r}\"")
  ELSE()
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/config.cmake"
            OPTIONAL RESULT_VARIABLE r)
    IF(r)
      MESSAGE(STATUS "Included \"${r}\"")
    ENDIF()
  ENDIF()
  UNSET(r)
ENDIF()


######################################################
# Set CMake module path:
#
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")



######################################################
# BibleTime version:
#
# NOTICE! The version number must only be changed during the release procedures
#  A N D   N O T  during development or bug-fixing. This guarantees that all
# versions of BibleTime between OLDVERSION and NEXTVERSION have version strings
# in the form of OLDVERSION+githash where githash is the git commit hash ID.
#
# Note: for pre-#.#.0 versions, use the following suffixes:
#   _dev      if pre-beta1
#   _beta1    if post-beta1
#   _beta2    if post-beta2
#   _rc1    if post-rc1
#   _rc2    if post-rc2
# For post-full-release versions, no suffix is used.

SET(BT_VERSION_MAJOR "3")
SET(BT_VERSION_MINOR "0")
SET(BT_VERSION_PATCH "0")
SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures

# Determine build, if needed:
IF(NOT (DEFINED BT_VERSION_BUILD))
  FIND_PACKAGE(Git)
  IF(NOT GIT_FOUND)
    FIND_PROGRAM(GIT_EXECUTABLE NAMES git)
    IF(GIT_EXECUTABLE)
      SET(GIT_FOUND TRUE)
    ENDIF()
  ENDIF()
  IF(GIT_FOUND)
    FUNCTION(BtGitRevision out)
      EXECUTE_PROCESS(COMMAND ${GIT_EXECUTABLE} rev-parse HEAD
                      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                      ERROR_QUIET
                      RESULT_VARIABLE resVar
                      OUTPUT_VARIABLE outVar
                      OUTPUT_STRIP_TRAILING_WHITESPACE)
      IF(${resVar} EQUAL 0)
        STRING(TOLOWER "${outVar}" hashCandidate)
        STRING(REGEX MATCH "^[0123456789abcdef]+$" hasHash "${hashCandidate}")
        IF(hasHash)
          STRING(LENGTH "${hashCandidate}" hashLength)
          IF(hashLength EQUAL 40)
            SET(${out} "${hashCandidate}" PARENT_SCOPE)
          ENDIF()
        ENDIF()
      ENDIF()
    ENDFUNCTION()
    BtGitRevision(BibleTimeGitRevision)
    IF(DEFINED BibleTimeGitRevision)
      SET(BT_VERSION_BUILD "+${BibleTimeGitRevision}")
    ENDIF()
  ENDIF()
ENDIF()
SET(BT_VERSION_FULL "${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}.${BT_VERSION_PATCH}${BT_VERSION_BUILD}")
MESSAGE(STATUS "Setting up build environment for BibleTime version ${BT_VERSION_FULL}")


######################################################
# Paths for installation:
#
INCLUDE(GNUInstallDirs)
IF(NOT DEFINED BT_BINDIR)
    IF(APPLE)
        SET(BT_BINDIR ".")
    ELSE()
        SET(BT_BINDIR "${CMAKE_INSTALL_BINDIR}")
    ENDIF()
ENDIF()
IF(NOT DEFINED BT_DATAROOTDIR)
    IF(APPLE)
        SET(BT_DATAROOTDIR "./BibleTime.app/Contents/share")
    ELSE()
        SET(BT_DATAROOTDIR "${CMAKE_INSTALL_DATAROOTDIR}")
    ENDIF()
ENDIF()
IF(NOT DEFINED BT_DATADIR)
    IF(APPLE)
        SET(BT_DATADIR "./BibleTime.app/Contents/share")
    ELSE()
        SET(BT_DATADIR "${CMAKE_INSTALL_DATADIR}")
    ENDIF()
ENDIF()
IF(APPLE AND NOT DEFINED BT_RESOURCEDIR)
    SET(BT_RESOURCEDIR "./BibleTime.app/Contents/Resources")
ENDIF()
IF(NOT DEFINED SWORD_DATADIR)
    SET(SWORD_DATADIR "${BT_DATAROOTDIR}")
ENDIF()
IF(NOT DEFINED BT_DOCDIR)
    SET(BT_DOCDIR "${CMAKE_INSTALL_DOCDIR}")
ENDIF()
IF(IS_ABSOLUTE "${BT_DOCDIR}")
    SET(BT_DOCDIR_ABSOLUTE "${BT_DOCDIR}")
ELSE()
    SET(BT_DOCDIR_ABSOLUTE "${CMAKE_INSTALL_PREFIX}/${BT_DOCDIR}")
ENDIF()
IF(NOT DEFINED BT_LOCALEDIR)
    # The default for the BT_LOCALEDIR variable differs from the default of
    # localedir in the GNU Coding Standards.
    SET(BT_LOCALEDIR "${BT_DATADIR}/bibletime/locale")
ENDIF()


######################################################
# The BibleTime application:
#
IF(BUILD_BIBLETIME)
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTApplication.cmake")
ENDIF()

######################################################
# Documentation:
#
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")


######################################################
# "fix_cpp_headers" target to fix those copyright headers of files.
#
STRING(TIMESTAMP CURRENT_YEAR "%Y")
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/FILE_HEADER.cpp.in"
               "${CMAKE_CURRENT_BINARY_DIR}/FILE_HEADER.cpp" @ONLY)
ADD_CUSTOM_TARGET(fix_cpp_headers
    find "${CMAKE_CURRENT_SOURCE_DIR}"
        -path "${CMAKE_CURRENT_SOURCE_DIR}/.git" -prune -o
        -path "${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/windows" -prune -o
        -path "${CMAKE_CURRENT_BINARY_DIR}" -prune -o
        -type f "\\(" -name "'*.h'" -o -name "'*.cpp'" -o -name "'*.qml'" "\\)"
        -exec "${CMAKE_CURRENT_SOURCE_DIR}/cmake/fix_cpp_header.sh" "{}"
              "${CMAKE_CURRENT_BINARY_DIR}/FILE_HEADER.cpp" "\\;")

=== debian/changelog ===
bibletime (3.0-5~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Jan 2021 09:26:22 -0800

bibletime (3.0-5) unstable; urgency=medium

  * updated standards version
  * new upload to unstable with depends on libsword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 28 Nov 2020 20:49:19 +0100

bibletime (3.0-4) experimental; urgency=medium

  * depend on libsword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 21 Nov 2020 16:58:14 +0100

bibletime (3.0-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Team upload
  * Revert "Add two upstream patches"
  * Add missing qml-module-qtquick2 dependency
  * Disable lto-partition on mips64el (Closes: #970471)

 -- Roberto C. Sánchez <roberto@debian.org>  Sat, 14 Nov 2020 08:36:18 -0500

bibletime (3.0-2) unstable; urgency=medium

  * Team upload
  * Add two upstream patches (Closes: #970471)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 20 Sep 2020 19:50:43 +0200

bibletime (3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0
  * Prevent building PDF
  * Build and install the HTML documentation
  * d/control: Remove an unused variable
  * d/control: Bump debhelper compat level to 13
  * d/copyright: Add missing info
  * Remove leftover patches
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root
  * Patch: Install qml file to datadir

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 20 Aug 2020 10:15:39 +0200

=== debian/control ===
Source: bibletime
Section: kde
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               git,
               libclucene-dev,
               libcurl4-gnutls-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev [alpha armel hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
               libsword-dev (>= 1.9.0+dfsg-2~),
               pkg-config,
               po4a,
               qtbase5-dev,
               qttools5-dev,
               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
               quilt (>= 0.46-7~),
               xsltproc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
           Jonathan Marsden <jmarsden@fastmail.fm>,
           Roberto C. Sanchez <roberto@debian.org>,
           Dominique Corbex <dominique@corbex.org>,
           Teus Benschop <teusjannette@gmail.com>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.bibletime.info/
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/bibletime.git
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/bibletime

Package: bibletime
Architecture: any
Depends: bibletime-data (=${source:Version}),
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH), mips64el)
  DEB_LDFLAGS_MAINT_APPEND += -flto-partition=none
endif
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_HANDBOOK_PDF=OFF -DBUILD_HOWTO_PDF=OFF

override_dh_auto_test:
	echo "Skip dh_auto_test because the tests rely on a display which is not there"

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## bibletime 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,10 @@
 install the howto in PDF format if BUILD_HOWTO_PDF is enabled. \
 Leave empty use all supported languages.")
 
+SET(INSTALL_GENERATED_DOCS "OFF" CACHE BOOL
+    "Install generated_docs from a specified path.")
+SET(GENERATED_DOCS_DIR "" CACHE PATH
+    "Path to the checked out generated_docs for this revision of BibleTime")
 
 ######################################################
 # Misc. settings:
@@ -112,7 +116,7 @@
 
 SET(BT_VERSION_MAJOR "3")
 SET(BT_VERSION_MINOR "0")
-SET(BT_VERSION_PATCH "0")
+SET(BT_VERSION_PATCH "2")
 SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:

=== debian/changelog ===
bibletime (3.0.2-1) unstable; urgency=medium

  * Team upload
  * d/watch: Switch to GitHub releases
  * New upstream version 3.0.2
  * Remove unnecessary build dependency quilt
  * Let bibletime find its docs

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 09 Sep 2021 01:07:35 +0200

bibletime (3.0.1-1) unstable; urgency=medium

  * Team upload

  [ Pino Toscano ]
  * Remove the unused XPM icons

  [ Bastian Germann ]
  * New upstream version 3.0.1

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 25 Aug 2021 08:51:05 +0200

=== debian/control ===
Source: bibletime
Section: kde
Build-Depends:
    debhelper-compat (= 13),
    libsword-dev (>= 1.9.0+dfsg-2),
    libclucene-dev,
    cmake,
    pkg-config,
    libcurl4-gnutls-dev,
    docbook-xml,
    docbook-xsl,
    git,
    po4a,
    qtbase5-dev,
    qttools5-dev,
    qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
    libqt5webkit5-dev [alpha armel hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
    libqt5svg5-dev,
    xsltproc
Priority: optional
Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>,
 Roberto C. Sanchez <roberto@debian.org>,
 Dominique Corbex <dominique@corbex.org>,
 Teus Benschop <teusjannette@gmail.com>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.bibletime.info/
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/bibletime.git
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/bibletime

Package: bibletime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 bibletime-data (=${source:Version}), qml-module-qtquick2
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.

=== debian/watch ===
version=4

https://github.com/bibletime/bibletime/releases/ .*/bibletime-([\d\.]+).tar.xz

## bibletime 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -116,7 +116,7 @@
 
 SET(BT_VERSION_MAJOR "3")
 SET(BT_VERSION_MINOR "0")
-SET(BT_VERSION_PATCH "2")
+SET(BT_VERSION_PATCH "3")
 SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:

=== debian/changelog ===
bibletime (3.0.3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:34 +1100

bibletime (3.0.3-3build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:57:51 +0000

bibletime (3.0.3-3) unstable; urgency=medium

  * Team upload
  * Remove unneeded web dependencies (Closes: #1029457)

 -- Bastian Germann <bage@debian.org>  Sun, 22 Jan 2023 21:30:19 +0100

bibletime (3.0.3-2) unstable; urgency=medium

  * Team upload
  * d/watch: Scan GitHub release API

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:27:15 +0100

bibletime (3.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.3

 -- Bastian Germann <bage@debian.org>  Sat, 14 May 2022 15:42:14 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
     po4a,
     qtbase5-dev,
     qttools5-dev,
-    qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-    libqt5webkit5-dev [alpha armel hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
+    qtdeclarative5-dev,
     libqt5svg5-dev,
     xsltproc
 Priority: optional
-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Jonathan Marsden <jmarsden@fastmail.fm>,
  Roberto C. Sanchez <roberto@debian.org>,

=== debian/watch ===
version=4

opts="searchmode=plain" \
  https://api.github.com/repos/bibletime/bibletime/releases https://github.com/bibletime/bibletime/releases/download/v?[\d\.]+/bibletime-([\d\.]+).tar.xz

## bibletime 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PROJECT(bibletime CXX C)
-CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.12)
+PROJECT(bibletime CXX)
 
 
 ######################################################
@@ -15,6 +15,9 @@
 ######################################################
 # Build-time user options:
 #
+SET(USE_QT6 "ON" CACHE BOOL
+    "Whether to build with Qt6 instead of Qt5.")
+
 SET(BUILD_BIBLETIME "ON" CACHE BOOL
     "Whether to build and install the BibleTime application")
 
@@ -115,8 +118,8 @@
 # For post-full-release versions, no suffix is used.
 
 SET(BT_VERSION_MAJOR "3")
-SET(BT_VERSION_MINOR "0")
-SET(BT_VERSION_PATCH "3")
+SET(BT_VERSION_MINOR "1")
+SET(BT_VERSION_PATCH "0")
 SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 # Determine build, if needed:
@@ -225,7 +228,6 @@
 ADD_CUSTOM_TARGET(fix_cpp_headers
     find "${CMAKE_CURRENT_SOURCE_DIR}"
         -path "${CMAKE_CURRENT_SOURCE_DIR}/.git" -prune -o
-        -path "${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/windows" -prune -o
         -path "${CMAKE_CURRENT_BINARY_DIR}" -prune -o
         -type f "\\(" -name "'*.h'" -o -name "'*.cpp'" -o -name "'*.qml'" "\\)"
         -exec "${CMAKE_CURRENT_SOURCE_DIR}/cmake/fix_cpp_header.sh" "{}"

=== debian/changelog ===
bibletime (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Revert "Backup Brazilian translation (Closes: #1043811)"
  * Depend on qml6-module-qtquick

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 01:46:13 +0100

bibletime (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.0
  * Backup Brazilian translation (Closes: #1043811)
  * Update Build-Depends to Qt6
  * d/copyright: Add info from new version

 -- Bastian Germann <bage@debian.org>  Tue, 25 Feb 2025 11:42:00 +0100

## bibletime 3.1.1

=== debian/changelog ===
bibletime (3.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.1

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 11:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,12 @@
     docbook-xsl,
     git,
     po4a,
-    qtbase5-dev,
-    qttools5-dev,
-    qtdeclarative5-dev,
-    libqt5svg5-dev,
+    qt6-tools-dev,
+    qt6-declarative-dev,
+    qt6-svg-dev,
     xsltproc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
+Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Jonathan Marsden <jmarsden@fastmail.fm>,
  Roberto C. Sanchez <roberto@debian.org>,
@@ -33,7 +31,7 @@
 Package: bibletime
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- bibletime-data (=${source:Version}), qml-module-qtquick2
+ bibletime-data (=${source:Version}), qml6-module-qtquick
 Provides: sword-frontend
 Description: bible study tool for Qt
  BibleTime is a free and easy to use bible study tool.
